Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class PostalAddress1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.PostalAddress1

public class PostalAddress1 extends Object

Java class for PostalAddress1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PostalAddress1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdrTp" type="{urn:sepade:xsd:pain.001.001.02}AddressType2Code" minOccurs="0"/>
             <element name="AdrLine" type="{urn:sepade:xsd:pain.001.001.02}Max70Text" maxOccurs="5" minOccurs="0"/>
             <element name="StrtNm" type="{urn:sepade:xsd:pain.001.001.02}Max70Text" minOccurs="0"/>
             <element name="BldgNb" type="{urn:sepade:xsd:pain.001.001.02}Max16Text" minOccurs="0"/>
             <element name="PstCd" type="{urn:sepade:xsd:pain.001.001.02}Max16Text" minOccurs="0"/>
             <element name="TwnNm" type="{urn:sepade:xsd:pain.001.001.02}Max35Text" minOccurs="0"/>
             <element name="CtrySubDvsn" type="{urn:sepade:xsd:pain.001.001.02}Max35Text" minOccurs="0"/>
             <element name="Ctry" type="{urn:sepade:xsd:pain.001.001.02}CountryCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`adrLine`
`protected AddressType2Code`
`adrTp`
`protected String`
`bldgNb`
`protected String`
`ctry`
`protected String`
`ctrySubDvsn`
`protected String`
`pstCd`
`protected String`
`strtNm`
`protected String`
`twnNm`

## Constructor Summary

Constructors
Constructor
Description
`PostalAddress1()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAdrLine()`
Gets the value of the adrLine property.
`AddressType2Code`
`getAdrTp()`
Gets the value of the adrTp property.
`String`
`getBldgNb()`
Gets the value of the bldgNb property.
`String`
`getCtry()`
Gets the value of the ctry property.
`String`
`getCtrySubDvsn()`
Gets the value of the ctrySubDvsn property.
`String`
`getPstCd()`
Gets the value of the pstCd property.
`String`
`getStrtNm()`
Gets the value of the strtNm property.
`String`
`getTwnNm()`
Gets the value of the twnNm property.
`void`
`setAdrTp(AddressType2Code value)`
Sets the value of the adrTp property.
`void`
`setBldgNb(String value)`
Sets the value of the bldgNb property.
`void`
`setCtry(String value)`
Sets the value of the ctry property.
`void`
`setCtrySubDvsn(String value)`
Sets the value of the ctrySubDvsn property.
`void`
`setPstCd(String value)`
Sets the value of the pstCd property.
`void`
`setStrtNm(String value)`
Sets the value of the strtNm property.
`void`
`setTwnNm(String value)`
Sets the value of the twnNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### adrTp

protected AddressType2Code adrTp

### adrLine

protected List<String> adrLine

### strtNm

protected String strtNm

### bldgNb

protected String bldgNb

### pstCd

protected String pstCd

### twnNm

protected String twnNm

### ctrySubDvsn

protected String ctrySubDvsn

### ctry

protected String ctry

## Constructor Details

### PostalAddress1

public PostalAddress1()

## Method Details

### getAdrTp

public AddressType2Code getAdrTp()
Gets the value of the adrTp property.

Returns:
  possible object is `AddressType2Code`

### setAdrTp

public void setAdrTp(AddressType2Code value)
Sets the value of the adrTp property.

Parameters:
  `value` - allowed object is `AddressType2Code`

### getAdrLine

public List<String> getAdrLine()
Gets the value of the adrLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

For example, to add a new item, do as follows:

        getAdrLine().add(newItem);

Objects of the following type(s) are allowed in the list `String`

### getStrtNm

public String getStrtNm()
Gets the value of the strtNm property.

Returns:
  possible object is `String`

### setStrtNm

public void setStrtNm(String value)
Sets the value of the strtNm property.

Parameters:
  `value` - allowed object is `String`

### getBldgNb

public String getBldgNb()
Gets the value of the bldgNb property.

Returns:
  possible object is `String`

### setBldgNb

public void setBldgNb(String value)
Sets the value of the bldgNb property.

Parameters:
  `value` - allowed object is `String`

### getPstCd

public String getPstCd()
Gets the value of the pstCd property.

Returns:
  possible object is `String`

### setPstCd

public void setPstCd(String value)
Sets the value of the pstCd property.

Parameters:
  `value` - allowed object is `String`

### getTwnNm

public String getTwnNm()
Gets the value of the twnNm property.

Returns:
  possible object is `String`

### setTwnNm

public void setTwnNm(String value)
Sets the value of the twnNm property.

Parameters:
  `value` - allowed object is `String`

### getCtrySubDvsn

public String getCtrySubDvsn()
Gets the value of the ctrySubDvsn property.

Returns:
  possible object is `String`

### setCtrySubDvsn

public void setCtrySubDvsn(String value)
Sets the value of the ctrySubDvsn property.

Parameters:
  `value` - allowed object is `String`

### getCtry

public String getCtry()
Gets the value of the ctry property.

Returns:
  possible object is `String`

### setCtry

public void setCtry(String value)
Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`